The BOOST_PP_SEQ_PUSH_BACK macro pushes an element onto the end of a seq.

#### Usage

BOOST_PP_SEQ_PUSH_BACK(seq, elem)

#### Arguments

seq
  The seq onto which elem is pushed.
elem
  The element to push onto the end of seq.

#### Remarks

This macro returns seq after appending elem.
This macro is an explicit form of directly appending an element. In other words, BOOST_PP_SEQ_PUSH_BACK(seq, x) is equivalent to seq(x).

#### See Also

- BOOST_PP_SEQ_PUSH_FRONT

#### Requirements

Header: <boost/preprocessor/seq/push_back.hpp>

#### Sample Code

    #include <boost/preprocessor/seq/push_back.hpp>

    #define SEQ (a)(b)

    BOOST_PP_SEQ_PUSH_BACK(SEQ, c) // expands to (a)(b)(c)